%define anolis_release 2

%{?python_enable_dependency_generator}

%global library google-auth
%global py3 python3

Name:       python-%{library}
Version:    2.16.3
Release:    %{anolis_release}%{dist}

Epoch:      1
Summary:    Google Auth Python Library
License:    ASL 2.0
URL:        https://github.com/googleapis/google-auth-library-python

Source0:    https://github.com/googleapis/google-auth-library-python/archive/v%{version}.tar.gz

BuildArch:  noarch

%description
Google Auth Python Library

%package -n %{py3}-%{library}
Summary:    Google Auth Python Library
%{?python_provide:%python_provide %{py3}-%{library}}

BuildRequires:  %{py3}-devel
BuildRequires:  %{py3}-setuptools
BuildRequires:  git
%if %{undefined __pythondist_requires}
Requires:  %{py3}-pyasn1
Requires:  %{py3}-pyasn1-modules
Requires:  %{py3}-rsa
Requires:  %{py3}-six
Requires:  %{py3}-cachetools
%endif

%description -n %{py3}-%{library}
Python client for the kubernetes API.

%package -n %{py3}-%{library}-doc
Summary:        Documentation files for %{name}
Requires:       %{py3}-%{library} = %{EVR}
BuildArch:      noarch

%description -n %{py3}-%{library}-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n google-auth-library-python-%{version}

%build
%py3_build

%install
%py3_install

%check

%files -n %{py3}-%{library}
%license LICENSE
%{python3_sitelib}/google/auth
%{python3_sitelib}/google/oauth2
%{python3_sitelib}/google_auth-%{version}*.egg-info
%{python3_sitelib}/google_auth-%{version}*.pth

%files -n %{py3}-%{library}-doc
%doc README.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTORS.md

%changelog
* Wed Mar 13 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.16.3-2
- Rebuild with python3.11

* Tue Mar 28 2023 yuanhui <yuanhui@linux.alibaba.com> - 2.16.3-1
- Init package from upstream
